File: changelog

package info (click to toggle)
geopy 1.11.0+ds1-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 408 kB
  • ctags: 390
  • sloc: python: 3,353; makefile: 4
file content (104 lines) | stat: -rw-r--r-- 3,492 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
geopy (1.11.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Remove prebuilt python objects.
  * debian/control
    - Update Homepage field.
    - Update Vcs fields for git migration.
  * debian/copyright
    - Update copyright years.
    - Use Files-Excluded to remove shipped prebuilt python objects.
    - Change upstream copyright holders to reflect license file update.
  * debian/watch
    - Use pypi.debian.net redirector.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 06 Nov 2015 16:19:50 +0100

geopy (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Add python{,3}-tz to Reccomends since Google geocoder needs them to
      locate timezones.
  * debian/copyright
    - Update upstream copyright years.
    - Update Upstream-Contact.
  * debian/rules
    - Use PYBUILD_NAME instead of PYBUILD_DESTDIR_python{2,3}.

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 22 Oct 2014 01:40:04 +0200

geopy (0.99-1) unstable; urgency=medium

  * New upstream release

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 31 Mar 2014 15:48:49 +0200

geopy (0.98.3-1) unstable; urgency=medium

  * New upstream release

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 08 Mar 2014 17:11:20 +0100

geopy (0.98-1) unstable; urgency=medium

  * New upstream release
  * Switched to pybuild
  * debian/control
    - Bumped Standards-Version to 3.9.5 (no changes needed)
    - Removed python-beautifulsoup from (Build-)Depends since not used anymore
    - Added python(3)-requests and python(3)-requests-oauthlib to Recommends
      since YahooPlaceFinder geocoder needs them
    - Removed python-nose from Build-Depends since tests are not shipped
      anymore
  * debian/copyright
    - Updated copyright year
  * debian/patches/01_add_missing_test_file.patch
    - Removed since no more used upstream
  * debian/patches/02_fix_missing_imports.patch:
    - Removed since upstream removed MediaWiki and SemanticMediaWiki geocoders
  * debian/patches/03_fix_typo.patch
    - Removed since upstream removed SemanticMediaWiki geocoder and Geohash
      module
  * debian/patches/04_use_lt_and_eq_instead_of_cmp.patch
    - Refreshed

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 13 Feb 2014 19:27:47 +0100

geopy (0.95.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Run tests only if DEB_BUILD_OPTIONS=nocheck is not set.

  [ Daniele Tricoli ]
  * New upstream release (Closes: #711532)
    - With Python3 support
  * Builded Python3 package
  * debian/compat
    - Bumped debhelper compatibility level to 9
  * debian/control
    - Bumped debhelper B-D to (>= 9)
    - Bumped Standards-Version to 3.9.4 (no changes needed)
    - Added  python3-all and python3-setuptools to BD
    - Added python3-geopy stanza
    - Updated Homepage
  * debian/patches/01_add_missing_test_file.patch
    - Added missing file required by unittests
  * debian/patches/02_fix_missing_imports.patch
    - Fix missing imports
  * debian/patches/03_fix_typo.patch
    - Fix some typos
  * debian/patches/04_use_lt_and_eq_instead_of_cmp.patch
    - Use __lt__() and __eq__() instead of __cmp__() and cmp()
  * debian/rules
    - Reworked for Python3 package

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 24 Jun 2013 23:00:56 +0200

geopy (0.94.2-1) unstable; urgency=low

  * Initial release (Closes: #452093)

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 13 Mar 2012 07:30:35 +0100